<?xml version="1.0"?>
<!-- This file is protected by Copyright. Please refer to the COPYRIGHT file
     distributed with this source distribution.

     This file is part of OpenCPI <http://www.opencpi.org>

     OpenCPI is free software: you can redistribute it and/or modify it under
     the terms of the GNU Lesser General Public License as published by the Free
     Software Foundation, either version 3 of the License, or (at your option)
     any later version.

     OpenCPI is distributed in the hope that it will be useful, but WITHOUT ANY
     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for
     more details.

     You should have received a copy of the GNU Lesser General Public License
     along with this program. If not, see <http://www.gnu.org/licenses/>. -->
<rccworker language="c++" spec="fast_fourier_transform_xs-spec" version="2" controloperations="start,stop">
  <property name="fft_core_implementation" type="enum" parameter="true" writable="false" enums="kiss_fft,built_in"
    default="built_in" description="Parameter to switch between available FFT cores."/>
  <specproperty writesync="true" name="increment_fft_block_value"/>
  <specproperty writesync="true" name="start_of_fft_block_id"/>
  <specproperty writesync="true" name="start_of_fft_block_value"/>
  <specproperty writesync="true" name="gain_factor"/>
  <port name="output" workereof="true"/>
</rccworker>
